Function Functions
Embryo

Functions that deal with Embryo program functions. More...

## Functions

EAPI void | embryo_program_native_call_add (Embryo_Program *ep, const char *name, Embryo_Cell(*func)(Embryo_Program *ep, Embryo_Cell *params))
| Adds a native program call to the given Embryo program.
EAPI Embryo_Function | embryo_program_function_find (Embryo_Program *ep, const char *name)
| Returns the function in the given program with the given name.

## Detailed Description

Functions that deal with Embryo program functions.

## Function Documentation

## embryo_program_native_call_add()

EAPI void embryo_program_native_call_add | ( | Embryo_Program * | ep,
|  | const char * | name,
|  | Embryo_Cell(* | func )(Embryo_Program *ep, Embryo_Cell *params) )

Adds a native program call to the given Embryo program.

Parameters

  ep | The given Embryo program.
  name | The name for the call used in the script.
  func | The function to use when the call is made.

## embryo_program_function_find()

EAPI Embryo_Function embryo_program_function_find | ( | Embryo_Program * | ep,
|  | const char * | name )

Returns the function in the given program with the given name.

Parameters

  ep | The given program.
  name | The given function name.

Returns
  The function if successful. Otherwise, `EMBRYO_FUNCTION_NONE`.

References EMBRYO_FUNCTION_NONE.